package com.emr.entity.templateSearch;

public class Emr_Modle {
    private Integer id;

    private String modleFlag;

    private String modleName;

    private String effeTime;

    private Integer selectFlag = 0;

    private Integer effective;

    private Integer modleSort;

    private String remark;

    private String creater;

    private String createTime;

    private String updater;

    private String updateTime;

    private Integer parentId = -1;

    private String checked;

    private String newName;

    private Integer isOper = 1;

    public Integer getIsOper() {
        return isOper;
    }

    public void setIsOper(Integer isOper) {
        this.isOper = isOper;
    }

    public String getNewName() {
        return newName;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getChecked() {
        return checked;
    }

    public void setChecked(String checked) {
        this.checked = checked;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModleFlag() {
        return modleFlag;
    }

    public void setModleFlag(String modleFlag) {
        this.modleFlag = modleFlag == null ? null : modleFlag.trim();
    }

    public String getModleName() {
        return modleName;
    }

    public void setModleName(String modleName) {
        this.modleName = modleName == null ? null : modleName.trim();
    }

    public String getEffeTime() {
        return effeTime;
    }

    public void setEffeTime(String effeTime) {
        this.effeTime = effeTime == null ? null : effeTime.trim();
    }

    public Integer getSelectFlag() {
        return selectFlag;
    }

    public void setSelectFlag(Integer selectFlag) {
        this.selectFlag = selectFlag;
    }

    public Integer getEffective() {
        return effective;
    }

    public void setEffective(Integer effective) {
        this.effective = effective;
    }

    public Integer getModleSort() {
        return modleSort;
    }

    public void setModleSort(Integer modleSort) {
        this.modleSort = modleSort;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime == null ? null : createTime.trim();
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater == null ? null : updater.trim();
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime == null ? null : updateTime.trim();
    }
}